import { ForkEffect, StrictEffect } from 'redux-saga/effects';
import { PayloadAction } from '@reduxjs/toolkit';
import { LoginParms, LogoutParams } from '../../data/auth/actions.js';
export declare function login({ payload, }: PayloadAction<LoginParms>): Generator<StrictEffect, void>;
export declare function logout({ payload, }: PayloadAction<LogoutParams>): Generator<StrictEffect, void, void>;
export declare function authentication(): Generator<ForkEffect, void, unknown>;
